### Type parameters

- #### A

### Hierarchy

- Now<A>
  - CreateDomNow

### Implements

- Monad<A>

## Index

### Constructors

- constructor

### Properties

- behaviors
- children
- parent
- streams
- tagName
- text

### Methods

- chain
- flatten
- lift
- map
- mapTo
- of
- run
- of

## Constructors

### constructor

- new CreateDomNow(parent: Node, tagName: string, behaviors: BehaviorDescription[], streams: StreamDescription[], text?: string, children?: Component<any>): CreateDomNow

- - Defined in framework.ts:124

  #### Parameters

  - ##### parent: Node

  - ##### tagName: string

  - ##### behaviors: BehaviorDescription[]

  - ##### streams: StreamDescription[]

  - ##### Optional text: string

  - ##### Optional children: Component<any>

  #### Returns CreateDomNow

## Properties

### behaviors

behaviors: BehaviorDescription[]

- Defined in framework.ts:128

### children

children: Component<any>

- Defined in framework.ts:131

### parent

parent: Node

- Defined in framework.ts:126

### streams

streams: StreamDescription[]

- Defined in framework.ts:129

### tagName

tagName: string

- Defined in framework.ts:127

### text

text: string

- Defined in framework.ts:130

## Methods

### chain

- chain<B>(f: function): Now<B>

- Inherited from Now.chain

  - Defined in Now.ts:21

  #### Type parameters

  - #### B

  #### Parameters

  - ##### f: function

    - - (a: A): Now<B>

      - #### Parameters

        - ##### a: A

        #### Returns Now<B>

### flatten

- flatten<B>(now: Now<Now<A>>): Now<A>

- Inherited from Now.flatten

  - Defined in Now.ts:24

  #### Type parameters

  - #### B

  #### Parameters

  - ##### now: Now<Now<A>>

  #### Returns Now<A>

### lift

- lift<T1, R>(f: function, m: Now<T1>): Now<R>
- lift<T1, T2, R>(f: function, m1: Now<T1>, m2: Now<T2>): Now<R>
- lift<T1, T2, T3, R>(f: function, m1: Now<T1>, m2: Now<T2>, m3: Now<T3>): Now<R>

- Inherited from Now.lift

  - Defined in Now.ts:33

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### f: function

    - - (t: T1): R

      - #### Parameters

        - ##### t: T1

        #### Returns R

  - ##### m: Now<T1>

  #### Returns Now<R>

- Inherited from Now.lift

  - Defined in Now.ts:34

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### f: function

    - - (t: T1, u: T2): R

      - #### Parameters

        - ##### t: T1

        - ##### u: T2

        #### Returns R

  - ##### m1: Now<T1>

  - ##### m2: Now<T2>

  #### Returns Now<R>

- Inherited from Now.lift

  - Defined in Now.ts:35

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### f: function

    - - (t1: T1, t2: T2, t3: T3): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        #### Returns R

  - ##### m1: Now<T1>

  - ##### m2: Now<T2>

  - ##### m3: Now<T3>

  #### Returns Now<R>

### map

- map<B>(f: function): Now<B>

- Inherited from Now.map

  - Defined in Now.ts:27

  #### Type parameters

  - #### B

  #### Parameters

  - ##### f: function

    - - (a: A): B

      - #### Parameters

        - ##### a: A

        #### Returns B

  #### Returns Now<B>

### mapTo

- mapTo<B>(b: B): Now<B>

- Inherited from Now.mapTo

  - Defined in Now.ts:30

  #### Type parameters

  - #### B

  #### Parameters

  - ##### b: B

  #### Returns Now<B>

### of

- of<B>(b: B): Now<B>

- Inherited from Now.of

  - Defined in Now.ts:15

  #### Type parameters

  - #### B

  #### Parameters

  - ##### b: B

  #### Returns Now<B>

### run

- run(): A

- Overwrites Now.run

  - Defined in framework.ts:133

  #### Returns A

### of

- of<B>(b: B): Now<B>

- Inherited from Now.of

  - Defined in Now.ts:18

  #### Type parameters

  - #### B

  #### Parameters

  - ##### b: B

  #### Returns Now<B>

Generated using TypeDoc